## org.apache.poi.hwpf.usermodel
Enum OfficeDrawing.VerticalRelativeElement

    java.lang.Object
      java.lang.Enum<OfficeDrawing.VerticalRelativeElement>
          org.apache.poi.hwpf.usermodel.OfficeDrawing.VerticalRelativeElement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OfficeDrawing.VerticalRelativeElement>

Enclosing interface:
  OfficeDrawing

    public static enum OfficeDrawing.VerticalRelativeElement

extends java.lang.Enum<OfficeDrawing.VerticalRelativeElement>

Enum Constant Summary
`LINE`
`MARGIN`
`PAGE`
`TEXT`

Method Summary
`static OfficeDrawing.VerticalRelativeElement` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OfficeDrawing.VerticalRelativeElement[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINE

    public static final OfficeDrawing.VerticalRelativeElement LINE

### MARGIN

    public static final OfficeDrawing.VerticalRelativeElement MARGIN

### PAGE

    public static final OfficeDrawing.VerticalRelativeElement PAGE

### TEXT

    public static final OfficeDrawing.VerticalRelativeElement TEXT

Method Detail

### values

    public static OfficeDrawing.VerticalRelativeElement[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OfficeDrawing.VerticalRelativeElement c : OfficeDrawing.VerticalRelativeElement.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OfficeDrawing.VerticalRelativeElement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.